Xapian::Error Class Reference

All exceptions thrown by Xapian are subclasses of Xapian::Error. More...

Inheritance diagram for Xapian::Error:
[legend]

## Public Member Functions

const char * | get_type () const
| The type of this error (e.g. "DocNotFoundError".)
const std::string & | get_msg () const
| Message giving details of the error, intended for human consumption.
const std::string & | get_context () const
| Optional context information. More...
const char * | get_error_string () const
| Returns any system error string associated with this exception. More...
std::string | get_description () const
| Return a string describing this object.

## Detailed Description

All exceptions thrown by Xapian are subclasses of Xapian::Error.

This class can not be instantiated directly - instead a subclass should be used.

## Member Function Documentation

const std::string& Xapian::Error::get_context | ( |  | ) | const

inline

Optional context information.

This context is intended for use by Xapian::ErrorHandler (for example so it can know which remote server is unreliable and report the problem and remove that server from those being searched). But it's typically a plain-text string, and so also fit for human consumption.

const char* Xapian::Error::get_error_string | ( |  | ) | const

Returns any system error string associated with this exception.

The system error string may come from errno, h_errno (on UNIX), or GetLastError() (on MS Windows). If there is no associated system error string, NULL is returned.

The documentation for this class was generated from the following file:

- xapian/error.h